<?php
/**
 * @package     Wettermodul
 * @author      Thomas Hunziker <admin@bakual.net>
 * @copyright   (C) 2014 - Thomas Hunziker
 * @license     http://www.gnu.org/licenses/gpl.html
 **/

// DWD Wettervorhersage Modul
// Wetterdaten:(c) DWD - Deutscher Wetterdienst, Offenbach
// Grafiken: (c) J. Correa - www.jcorrea.es
// Modul: (c) M. Bollmann - www.stranddorf.de
// **************************************************************************
// Das Modul lädt aktuelle Wetterdaten und Vorhersagen vom FTP Server des DWD.
// Die Daten werden lokal zwischengespeichert und grafisch aufgearbeitet. 
// Die Wetterdaten der Grundversorgung dürfen frei verwendet werden, sind jedoch urheberrechtlich geschützt.
// Der Copyright-Vermerk und der Link dürfen nicht entfernt werden! Anpassungen an das eigene Webdesign sind natürlich gestattet.
// Der Quelltext ist zwar nicht schön, dafür in liebevoller Handarbeit gebastelt!
// **************************************************************************

defined('_JEXEC') or die();

require_once __DIR__ . '/helper.php';

$tagesdaten = array();
$tagesdaten1 = array();
$tagesdaten2 = array();
$tagesdaten3 = array();
$tagesdaten4 = array();
$timestamp = time();
$datum = date('d.m.y', $timestamp);
$stunde = date('G', $timestamp);
$datum1 = date('d.m.y', $timestamp + (1 * 24 * 60 * 60));
$datum2 = date('d.m.y', $timestamp + (2 * 24 * 60 * 60));
$datum3 = date('d.m.y', $timestamp + (3 * 24 * 60 * 60));

$titel = $params->get('titel');
$user = $params->get('user');
$passwort = $params->get('passwort');
$daten = $params->get('daten', 13);
$datenvorhersage = $params->get('datenvorhersage', 8);
$farbe = $params->get('farbe', '#3366cc');
$zweitfarbe = $params->get('zweitfarbe', '#666666');
$cachezeit = $params->get('cachezeit', 3600);
$textausgabe = $params->get('textausgabe', 1);
$heute = $params->get('heute', 1);
$heutehohe = $params->get('heutehohe');
$heuteluft = $params->get('heuteluft', 1);
$heuteregen = $params->get('heuteregen', 1);
$heutewindrichtung = $params->get('heutewindrichtung', 1);
$heutewind = $params->get('heutewind', 1);
$heutewindspitze = $params->get('heutewindspitze');
$morgen = $params->get('morgen', 1);
$tag2 = $params->get('tag2', 1);
$tag3 = $params->get('tag3', 1);
$datumtitel = $params->get('datumtitel', 1);

switch ($datenvorhersage)
{
	case '1': $suchmuster = '/List\/Sylt (.*)/'; $region='Nordwest'; break;
	case '2': $suchmuster = '/Helgoland (.*)/'; $region='Nordwest'; break;
	case '3': $suchmuster = '/Schleswig (.*)/'; $region='Nordwest'; break;
	case '4': $suchmuster = '/Kiel (.*)/'; $region='Nordwest'; break;
	case '5': $suchmuster = '/Fehmarn (.*)/'; $region='Nordwest'; break;
	case '6': $suchmuster = '/Norderney (.*)/'; $region='Nordwest'; break;
	case '7': $suchmuster = '/Cuxhaven (.*)/'; $region='Nordwest'; break;
	case '8': $suchmuster = '/Hamburg (.*)/'; $region='Nordwest'; break;
	case '9': $suchmuster = '/Schwerin (.*)/'; $region='Nordwest'; break;
	case '10': $suchmuster = '/Emden (.*)/'; $region='Nordwest'; break;
	case '11': $suchmuster = '/Bremen (.*)/'; $region='Nordwest'; break;
	case '12': $suchmuster = '/Münster (.*)/'; $region='Nordwest'; break;
	case '13': $suchmuster = '/Hannover (.*)/'; $region='Nordwest'; break;
	case '14': $suchmuster = '/Bad Lippspringe (.*)/'; $region='Nordwest'; break;
	case '15': $suchmuster = '/Brocken (.*)/'; $region='Nordwest'; break;
	case '16': $suchmuster = '/Magdeburg (.*)/'; $region='Ost'; break;
	case '17': $suchmuster = '/Cottbus (.*)/'; $region='Ost'; break;
	case '18': $suchmuster = '/Leipzig (.*)/'; $region='Ost'; break;
	case '19': $suchmuster = '/Dresden (.*)/'; $region='Ost'; break;
	case '20': $suchmuster = '/Görlitz (.*)/'; $region='Ost'; break;
	case '21': $suchmuster = '/Meiningen (.*)/'; $region='Ost'; break;
	case '22': $suchmuster = '/Erfurt (.*)/'; $region='Ost'; break;
	case '23': $suchmuster = '/Gera (.*)/'; $region='Ost'; break;
	case '24': $suchmuster = '/Fichtelberg (.*)/'; $region='Ost'; break;
	case '25': $suchmuster = '/Berlin (.*)/'; $region='Ost'; break;
	case '26': $suchmuster = '/Lindenberg (.*)/'; $region='Ost'; break;
	case '27': $suchmuster = '/Arkona (.*)/'; $region='Nordost'; break;
	case '28': $suchmuster = '/Rostock (.*)/'; $region='Nordost'; break;
	case '29': $suchmuster = '/Greifswald (.*)/'; $region='Nordost'; break;
	case '30': $suchmuster = '/Schwerin (.*)/'; $region='Nordost'; break;
	case '31': $suchmuster = '/Marnitz (.*)/'; $region='Nordost'; break;
	case '32': $suchmuster = '/Neuruppin (.*)/'; $region='Nordost'; break;
	case '33': $suchmuster = '/Angermünde (.*)/'; $region='Nordost'; break;
	case '34': $suchmuster = '/Potsdam (.*)/'; $region='Nordost'; break;
	case '35': $suchmuster = '/Düsseldorf (.*)/'; $region='Mitte'; break;
	case '36': $suchmuster = '/Kahler Asten (.*)/'; $region='Mitte'; break;
	case '37': $suchmuster = '/Fritzlar (.*)/'; $region='Mitte'; break;
	case '38': $suchmuster = '/Köln (.*)/'; $region='Mitte'; break;
	case '39': $suchmuster = '/Gießen (.*)/'; $region='Mitte'; break;
	case '40': $suchmuster = '/Nürburg (.*)/'; $region='Mitte'; break;
	case '41': $suchmuster = '/Wasserkuppe (.*)/'; $region='Mitte'; break;
	case '42': $suchmuster = '/Trier (.*)/'; $region='Mitte'; break;
	case '43': $suchmuster = '/Hahn (.*)/'; $region='Mitte'; break;
	case '44': $suchmuster = '/Frankfurt (.*)/'; $region='Mitte'; break;
	case '45': $suchmuster = '/Würzburg (.*)/'; $region='Mitte'; break;
	case '46': $suchmuster = '/Mannheim (.*)/'; $region='Mitte'; break;
	case '47': $suchmuster = '/Weinbiet (.*)/'; $region='Mitte'; break;
	case '48': $suchmuster = '/Saarbrücken (.*)/'; $region='Mitte'; break;
	case '49': $suchmuster = '/Karlsruhe (.*)/'; $region='Mitte'; break;
	case '50': $suchmuster = '/Aachen (.*)/'; $region='West'; break;
	case '51': $suchmuster = '/Öhringen (.*)/'; $region='Suedwest'; break;
	case '52': $suchmuster = '/Stuttgart (.*)/'; $region='Suedwest'; break;
	case '53': $suchmuster = '/Stötten (.*)/'; $region='Suedwest'; break;
	case '54': $suchmuster = '/Lahr (.*)/'; $region='Suedwest'; break;
	case '55': $suchmuster = '/Freudenstadt (.*)/'; $region='Suedwest'; break;
	case '56': $suchmuster = '/Feldberg (.*)/'; $region='Suedwest'; break;
	case '57': $suchmuster = '/Konstanz (.*)/'; $region='Suedwest'; break;
	case '58': $suchmuster = '/Bamberg (.*)/'; $region='Suedost'; break;
	case '59': $suchmuster = '/Hof (.*)/'; $region='Suedost'; break;
	case '60': $suchmuster = '/Weiden (.*)/'; $region='Suedost'; break;
	case '61': $suchmuster = '/Nürnberg (.*)/'; $region='Suedost'; break;
	case '62': $suchmuster = '/Regensburg (.*)/'; $region='Suedost'; break;
	case '63': $suchmuster = '/Straubing (.*)/'; $region='Suedost'; break;
	case '64': $suchmuster = '/Grosser Arber (.*)/'; $region='Suedost'; break;
	case '65': $suchmuster = '/Fürstenzell (.*)/'; $region='Suedost'; break;
	case '66': $suchmuster = '/Augsburg (.*)/'; $region='Suedost'; break;
	case '67': $suchmuster = '/München (.*)/'; $region='Suedost'; break;
	case '68': $suchmuster = '/Kempten (.*)/'; $region='Suedost'; break;
	case '69': $suchmuster = '/Oberstdorf (.*)/'; $region='Suedost'; break;
	case '70': $suchmuster = '/Hohenpeissenberg (.*)/'; $region='Suedost'; break;
	case '71': $suchmuster = '/Zugspitze (.*)/'; $region='Suedost'; break;
	case '72': $suchmuster = '/Wendelstein (.*)/'; $region='Suedost'; break;

	default: $suchmuster = '/Hamburg (.*)/'; $region='Nordwest'; break;
}

if ($user && $passwort)
{
	require JModuleHelper::getLayoutPath('mod_dwd_wettermodul', $params->get('layout', 'vertikal'));
}
else
{
	echo '<span class="text-error">DWD Wettermodul Fehler:<br />Die FTP-Zugangsdaten vom DWD wurden nicht korrekt angegeben!</span>';
}
